summaryrefslogtreecommitdiffstats
path: root/gis/xplanet/xplanet.SlackBuild
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2018-03-16 06:47:37 +0100
committer Willy Sudiarto Raharjo2018-03-17 02:51:43 +0100
commitcdedb068939b53e61b66b08a0b5949cd24b9ce15 (patch)
tree0e240c9c60daae681a145bce431fe1104376792d /gis/xplanet/xplanet.SlackBuild
parentabb617ff62cffc1ec67f152f2f939621f439f807 (diff)
downloadslackbuilds-cdedb068939b53e61b66b08a0b5949cd24b9ce15.tar.gz
gis/xplanet: Fix build on current.
Diffstat (limited to 'gis/xplanet/xplanet.SlackBuild')
-rw-r--r--gis/xplanet/xplanet.SlackBuild23
1 files changed, 11 insertions, 12 deletions
diff --git a/gis/xplanet/xplanet.SlackBuild b/gis/xplanet/xplanet.SlackBuild
index 746822007e..1b1c7599f1 100644
--- a/gis/xplanet/xplanet.SlackBuild
+++ b/gis/xplanet/xplanet.SlackBuild
@@ -14,14 +14,14 @@ OUTPUT=${OUTPUT:-/tmp}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -42,14 +42,14 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+patch -p1 < $CWD/null-comparison.patch
# Patch for giflib 5.x from Arch Linux (thanks!)
# https://projects.archlinux.org/svntogit/community.git/plain/trunk/giflib6.patch?h=packages/xplanet
patch -p1 < $CWD/giflib6.patch
@@ -65,14 +65,13 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
-make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \